% Frequency plot
%clear
PeriodUnstableNov  %Loading the considered period

%---------------Natural Frequency of the Oscillations-----------------
sfreq= 60;                      % 60 samples per hour
maxfreq= sfreq/2;               % Max frequency (Nyquist criterion)
y=fft(pwh);                      % Fourier transformation of the liquid rate
y(1)=[];                        % The first value is the sum          
l=length(y);                    % FFT length
y=y(1:l/2);                     % Symmetry
power = abs(y/l).^2;            % Power of the FFT
c=max(power(10:(l/2-10)));      % Maximal value of FFT
f=(0:(l/2)-1)/l*sfreq;          % Frequency domain
Snitt=mean(pwh);                 % Mean value of the liquid rate
Amplitude1=mean(abs(pwh-Snitt)); % Amplitude of the oscillations
A=power./c.*Amplitude1;         % Normalize the FFT
%---------------------Find Frequency and Period----------------
maxf=f(find(power==c));         % Natural frequency
period=60/maxf                 % Period

%--------------Plot Amplitude Against Frequency--------------------
figure(17)
plot(f,A,'r');                  % Plot
hold                            % Plot all the periods in the same plot

PeriodUnstableDes
y=fft(pwh);                      % Fourier transformation of the liquid rate
y(1)=[];                        % The first value is the sum          
l=length(y);                    % FFT length
y=y(1:l/2);                     % Symmetry
power = abs(y/l).^2;            % Power of the FFT
c=max(power(10:(l/2-10)));      % Maximal value of FFT
f=(0:(l/2)-1)/l*sfreq;          % Frequency domain
Snitt=mean(pwh);                 % Mean value of the liquid rate
Amplitude2=mean(abs(pwh-Snitt)); % Amplitude of the oscillations
A=power./c.*Amplitude2;         % Normalize the FFT
%---------------------Find Frequency and Period----------------
maxf=f(find(power==c));         % Natural frequency
period=60/maxf                 % Period
plot(f,A,'g')                   % Plot
hold on

PeriodUnstableJan
y=fft(pwh);                      % Fourier transformation of the liquid rate
y(1)=[];                        % The first value is the sum          
l=length(y);                    % FFT length
y=y(1:l/2);                     % Symmetry
power = abs(y/l).^2;            % Power of the FFT
c=max(power(10:(l/2-10)));      % Maximal value of FFT
f=(0:(l/2)-1)/l*sfreq;          % Frequency domain
Snitt=mean(pwh);                 % Mean value of the liquid rate
Amplitude3=mean(abs(pwh-Snitt)); % Amplitude of the oscillations
A=power./c.*Amplitude3;         % Normalize the FFT
%---------------------Find Frequency and Period----------------
maxf=f(find(power==c));         % Natural frequency
period=60/maxf                 % Period
plot(f,A,'b')                   % Plot
ylabel('Amplitude [Sm3/day]');
xlabel('Frequency, [1/hr]');
title('Frequency plot for the highly oscillating periods');
legend('November','January', 'December');
%axis([0 30 0 750]);
grid

% L=L-1;
% x=[-A;A];
% norm=normcdf(x, mean(x), std(x));
% stdv=ones(1,L)*std(x);
% meanv=ones(1,L)*mean(x);
% figure(89)
% plot(x, norm,'.k')
% hold on
% plot(meanv',(0:(1/(L-1)):1),'r',(meanv'-stdv'),(0:(1/(L-1)):1),'b', (meanv'+stdv'),(0:(1/(L-1)):1),'b');
% xlabel('Amplitude, [Sm3/day]');
% ylabel('Cumulative Distribution');
% title('Deviation Around the Mean Value for the Stable Period in January');
% legend('Amplitude','Mean','Std');
% axis([-250 250 0 1]);
% grid