%Stable period in January 2017, 01.01.17 00:00:00 - 18.01.17 00:00:00
%clear
load('JanFeb')

tidstart=0;
tidend=408;         %Stable to 408hrs
tidend2=600;        %Catches stable, unstable and shut-in (max(dt)=1248)
tid1=find(dt12==tidstart);
tid2=find(dt12==tidend);
tid22=find(dt12==tidend2);
dt=dt12(tid1:tid2);
dt2=dt12(tid1:tid22);

L=tid2;
Ql=qo12(tid1:tid2)+qw12(tid1:tid2);
snitt=mean(Ql);
y1=snitt*ones(1,L);
sum=0;
for k=1:L
    var=(Ql(k)-snitt)^2;
    sum=sum+var;
end
sum;
sigma=sqrt(sum/L);
y2=(snitt-sigma)*ones(1,L);
y3=(snitt+sigma)*ones(1,L);
Ql2=qo12(tid1:tid22)+qw12(tid1:tid22);

window=50;
ex=tsmovavg(Ql2,'e',window,1);

% figure(1)
% subplot(2,1,1)
% plot(dt2,Ql2,'.-k',dt,y1,'--b',dt2,ex,'m',dt,y2,'--r',dt,y3,'--r');
% axis([1 6 0 3000]);
% title('5 hours of the Production in a Stable Period 01.01.17');
% legend('Liquid Rate','Mean value','Exp mean','Deviation');
% xlabel('Time, t [hrs]');
% ylabel('Ql [Sm3/day]');
% subplot(2,1,2)
% plot(dt2,Ql2,'.-k',dt,y1,'--b',dt2,exp,'m',dt,y2,'--r',dt,y3,'--r');
% title('Same Plot as Above with the Y-Axis Zoomed in');
% axis([1 6 740 900]);
% xlabel('Time, t [hrs]');
% ylabel('Ql [Sm3/day]');

tidshut1=find(dt12==405);
tidshut2=find(dt12==420);
dtShut=dt12(tidshut1:tidshut2);
pwShut=pw12(tidshut1:tidshut2);
QlShut=qo12(tidshut1:tidshut2)+qw12(tidshut1:tidshut2);
prShut=pwShut+9.81*242*966/10^5;

% figure(2)
% yyaxis left
% plot(dtShut, QlShut,'k');
% ylabel('Rate [Sm3/day]');
% yyaxis right
% plot(dtShut,pwShut,'r',dtShut,prShut,'b');
% legend('Ql','Pw', 'Pr');
% ylabel('Pressure [bar]');
% xlabel('Time [hrs]');


Pr=171;
Pw=mean(pw12(tid1:tid2));
Jw=mean(Ql)/(Pr-138.88);
qw=qw12(tid1:tid2);
qo=qo12(tid1:tid2);
qgp=qgp12(tid1:tid2);
qgi=qgi12(tid1:tid2);
pwh=pwh12(tid1:tid2);
pwf=pw12(tid1:tid2);
pgi=pgi12(tid1:tid2);
pgsup=pgsup12(tid1:tid2);
wor=mean(qw)/(mean(qw+qo));
twh=twh12(tid1:tid2);

%----------------Stating and calculating variables-------------------
%Estimated from given well specifications and period
J= 25.6/(24*60*60)/10^5;     % Sm3/s/Pa   Productivity index 
WOR= mean(qw)/mean(qo);      % Sm3/Sm3    Water oil ratio
Qg_r= mean(qgp)/(24*60*60);  % Sm3/s      Total gas rate
pth=mean(pwh)*10^5;          % Pa         Tubing head pressure (mean(WHP))

% Gas properties
Qg_i=mean(qgi)/(60*60);      % Sm3/s      Lift-gas flow rate

% Assumed values
%Co= 1.7286;              %       Gas distribution parameter estimated
vo= 0.05;               %       Drift velocity
Af= 0.316;              %       Friction factor correlation parameter
Bf= 0.25;               %       Friction factor correlation exponent
%MFM=0.75;               %       MFM adjustment

% x=[mean(Ql)/2:(mean(Ql)*2-1)]';
% normalen=normcdf(Ql,mean(Ql),26);
% norm=normcdf(Ql, mean(Ql), std(Ql));
% stdv=ones(1,L)*std(Ql);
% meanv=ones(1,L)*mean(Ql);
% figure(89)
% subplot(2,1,1)
% plot(Ql, norm,'.k')
% hold on
% plot(meanv',(0:(1/(L-1)):1),'r',(meanv'-stdv'),(0:(1/(L-1)):1),'b', (meanv'+stdv'),(0:(1/(L-1)):1),'b');
% hold on
% plot((meanv'-2*stdv'),(0:(1/(L-1)):1),'--b', (meanv'+2*stdv'),(0:(1/(L-1)):1),'--b',(meanv'-3*stdv'),(0:(1/(L-1)):1),'-.b', (meanv'+3*stdv'),(0:(1/(L-1)):1),'-.b',(meanv'-4*stdv'),(0:(1/(L-1)):1),':b', (meanv'+4*stdv'),(0:(1/(L-1)):1),':b');
% xlabel('Liquid Rate, [Sm3/day]');
% ylabel('Cumulative Distribution');
% title('Deviation Around the Mean Value for Small Rate Variation in January');
% legend('Ql','Mean','Std');
% grid
% axis([700 1000 0 1]);
% 
% PeriodUnstableJan


