%Stable period in 03.03.16 00:00:00 - 18.04.16 01:00:00
%clear
load('MarsApril')

tidstart=48;  %48
tidend=413;   %413      %Stable to 413hrs
tidend2=1153;       %Catches stable, unstable and shut-in (max(dt)=1464)
tid1=find(dt34==tidstart);
tid2=find(dt34==tidend);
tid22=find(dt34==tidend2);
dt=dt34(tid1:tid2);
dt2=dt34(tid1:tid22);

L=tid2-tid1+1;
Ql=qo34(tid1:tid2)+qw34(tid1:tid2);
snitt=mean(Ql);
y1=snitt*ones(1,L);
sum=0;
for k=1:L
    var=(Ql(k)-snitt)^2;
    sum=sum+var;
end
sum;
sigma=sqrt(sum/L);
y2=(snitt-sigma)*ones(1,L);
y3=(snitt+sigma)*ones(1,L);
Ql2=qo34(tid1:tid22)+qw34(tid1:tid22);

window=50;
exp=tsmovavg(Ql2,'e',window,1);

% figure(1)
% plot(dt2,Ql2,'k',dt2,exp,'y',dt,y1,'--b',dt,y2,'--m',dt,y3,'--m');
% axis([tidstart tidend2 0 3000]);
% title('Graph of the Production in March 3.-April 18.');
% legend('Liquid Rate','Exp mean','Mean value','Deviation');
% xlabel('Time, t [hrs]');
% ylabel('Ql [Sm3/day]');

tidshut1=find(dt34==410);
tidshut2=find(dt34==425);
dtShut=dt34(tidshut1:tidshut2);
pwShut=pw34(tidshut1:tidshut2);
QlShut=qo34(tidshut1:tidshut2)+qw34(tidshut1:tidshut2);
prShut=pwShut+9.81*242*957/10^5;
% 
% figure(2)
% yyaxis left
% plot(dtShut, QlShut,'k');
% ylabel('Rate [Sm3/day]');
% yyaxis right
% plot(dtShut,pwShut,'r',dtShut,prShut,'b');
% legend('Ql','Pw', 'Pr');
% ylabel('Pressure [bar]');
% xlabel('Time [hrs]');


Pr=171;
Pw=mean(pw34(tid1:tid2));
Jw=mean(Ql)/(Pr-138.88);
qw=qw34(tid1:tid2);
qo=qo34(tid1:tid2);
qgp=qgp34(tid1:tid2);
qgi=qgi34(tid1:tid2);
pwh=pwh34(tid1:tid2);
pwf=pw34(tid1:tid2);
pgi=pgi34(tid1:tid2);
wor=mean(qw)/(mean(qw+qo));
twh=twh34(tid1:tid2);
%----------------Stating and calculating variables-------------------
%Estimated from given well specifications and period
J= 25.6/(24*60*60)/10^5;     % Sm3/s/Pa   Productivity index 
WOR= mean(qw)/mean(qo);      % Sm3/Sm3    Water oil ratio
Qg_r= mean(qgp)/(24*60*60);  % Sm3/s      Total gas rate
pth=mean(pwh)*10^5;          % Pa         Tubing head pressure (mean(WHP))

% Gas properties
Qg_i=mean(qgi)/(60*60);      % Sm3/s      Lift-gas flow rate

% Assumed values
%Co= 1.7286;              %       Gas distribution parameter estimated
vo= 0.05;               %       Drift velocity
Af= 0.316;              %       Friction factor correlation parameter
Bf= 0.25;               %       Friction factor correlation exponent
%MFM=0.75;               %       MFM adjustment
