%Stable period in December 2016, 30.11.2016 09:01:00 - 25.12.16 04:01:00
%clear
load('NovDes')

tidstart=582;
tidend=705;         %Stable to 1135hrs
tid1=find(dt1112==tidstart);
tid2=find(dt1112==tidend);
dt=dt1112(tid1:tid2);

L=tid2-tid1+1;
Ql=qo1112(tid1:tid2)+qw1112(tid1:tid2);
snitt=mean(Ql);
y1=snitt*ones(1,L);
sum=0;
for k=1:L
    var=(Ql(k)-snitt)^2;
    sum=sum+var;
end
sum;
sigma=sqrt(sum/L);
y2=(snitt-sigma)*ones(1,L);
y3=(snitt+sigma)*ones(1,L);
Ql2=qo1112(tid1:tid2)+qw1112(tid1:tid2);

window=50;
emean=tsmovavg(Ql,'e',window,1);

% figure(1)
% plot(dt,Ql,'k',dt,emean,'y',dt,y1,'--b',dt,y2,'--m',dt,y3,'--m');
% axis([tidstart tidend 0 3000]);
% title('Graph of the Production in 30.11.2016-25.12.2016');
% legend('Liquid Rate','Exp mean','Mean value','Deviation');
% xlabel('Time, t [hrs]');
% ylabel('Ql [Sm3/day]');

Pr=171;
Pw=mean(pw1112(tid1:tid2));
Jw=mean(Ql)/(Pr-138.88);
qw=qw1112(tid1:tid2);
qo=qo1112(tid1:tid2);
qgp=qgp1112(tid1:tid2);
qgi=qgi1112(tid1:tid2);
pwh=pwh1112(tid1:tid2);
pwf=pw1112(tid1:tid2);
pgi=pgi1112(tid1:tid2);
wor=mean(qw)/(mean(qw+qo));
twh=twh1112(tid1:tid2);
sumo=0;
for k=1:L
    var=(qo(k)-mean(qo))^2;
    sumo=sumo+var;
end
sigmao=sqrt(sumo/L);
sumw=0;
for k=1:L
    var=(qw(k)-mean(qw))^2;
    sumw=sumw+var;
end
sigmaw=sqrt(sumw/L);
%----------------Stating and calculating variables-------------------
%Estimated from given well specifications and period
J= 25.6/(24*60*60)/10^5;     % Sm3/s/Pa   Productivity index 
WOR= mean(qw)/mean(qo);      % Sm3/Sm3    Water oil ratio
Qg_r= mean(qgp)/(24*60*60);  % Sm3/s      Total gas rate
pth=mean(pwh)*10^5;          % Pa         Tubing head pressure (mean(WHP))

% Gas properties
Qg_i=mean(qgi)/(60*60);      % Sm3/s      Lift-gas flow rate

% Assumed values
%Co= 1.6273;              %       Gas distribution parameter estimated
vo= 0.05;               %       Drift velocity
Af= 0.316;              %       Friction factor correlation parameter
Bf= 0.25;               %       Friction factor correlation exponent
%MFM=0.75;               %       MFM adjustment

% normalen=normcdf(Ql,median(Ql),std(Ql));
% norm=normcdf(Ql, mean(Ql), std(Ql));
% stdv=ones(1,L)*std(Ql);
% meanv=ones(1,L)*mean(Ql);
% figure(89)
% plot(Ql, norm,'.k', Ql, normalen, '.g')
% hold on
% plot(meanv',(0:(1/(L-1)):1),'r',(meanv'-stdv'),(0:(1/(L-1)):1),'b', (meanv'+stdv'),(0:(1/(L-1)):1),'b');
% xlabel('Liquid Rate, [Sm3/day]');
% ylabel('Cumulative Distribution');
% title('Devation Around the Mean Value for the Stable Period in January');
% legend('Ql','Mean','Std');
% grid