%Unstable period from 24.03.16 10:00:00 to 18.04.16 01:00:00
%clear
load('MarsApril');

tidstart=562;
tidend=1153;
tid1=find(dt34==tidstart);
tid2=find(dt34==tidend);
dt=dt34(tid1:tid2);

L=tid2-tid1+1;
Ql=qo34(tid1:tid2)+qw34(tid1:tid2);
snitt=mean(Ql);
y1=snitt*ones(1,L);
sum=0;
for k=1:L
    varu=(Ql(k)-snitt)^2;
    sum=sum+varu;
end
sum;
sigma=sqrt(sum/L);
y2=(snitt-sigma)*ones(1,L);
y3=(snitt+sigma)*ones(1,L);

window=50;
ex=tsmovavg(Ql,'e',window,1);

% figure(11)
% plot(dt,Ql,'k', dt, ex,'y',dt,y1,'--b',dt,y2,'--m',dt,y3,'--m');
% axis([tidstart tidend 0 3000]);
% title('Graph of the Production in a unstable period in 24.03-18.04');
% %legend('Qo [Sm3/day]','Qgi [Sm3/hr]', 'Pw [bara]');
% xlabel('Time, t [hrs]');
% ylabel('Ql [Sm3/day]');


Pr=171;
Pw=mean(pw34(tid1:tid2));
Jw=mean(Ql)/(Pr-139);
qw=qw34(tid1:tid2);
qo=qo34(tid1:tid2);
qgp=qgp34(tid1:tid2);
qgi=qgi34(tid1:tid2);
pwh=pwh34(tid1:tid2);
pwf=pw34(tid1:tid2);
pgi=pgi34(tid1:tid2);
wor=mean(qw)/(mean(qw+qo));
twh=twh34(tid1:tid2);

%----------------Stating and calculating variables-------------------
%Estimated from given well specifications and period
J= 25.6/(24*60*60)/10^5;     % Sm3/s/Pa   Productivity index 
WOR= mean(qw)/mean(qo);      % Sm3/Sm3    Water oil ratio
Qg_r= mean(qgp)/(24*60*60);  % Sm3/s      Total gas rate
pth=mean(pwh)*10^5;          % Pa         Tubing head pressure (mean(WHP))

% Gas properties
Qg_i=mean(qgi)/(60*60);      % Sm3/s      Lift-gas flow rate

% Assumed values
%Co= 2.0482;             %       Gas distribution parameter estimated
vo= 0.05;               %       Drift velocity
Af= 0.316;              %       Friction factor correlation parameter
Bf= 0.25;               %       Friction factor correlation exponent
%MFM=0.75;               %       MFM adjustment
